Bug 114724 - Outline headings remain highlighted in Navigator content navigation view after cursor is positioned to different outline heading in document
Summary: Outline headings remain highlighted in Navigator content navigation view afte...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2017-12-28 07:24 UTC by Jim Raykowski
Modified: 2018-09-18 14:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
navigator headings tracking test file (9.65 KB, application/vnd.oasis.opendocument.text)
2017-12-28 07:24 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2017-12-28 07:24:48 UTC
Created attachment 138706 [details]
navigator headings tracking test file

1. open attached test document
2. open sidebar > Navigator
3. click on Content Navigation View button. It is the first button on the second line just below the Navigation drop down.

List switches to show Headings only and HEADING 1 is highlighted

4. click on HEADING 2 in document text

result:
HEADING 1 and HEADING 2 are highlighted in Navigator

expected result:
only HEADING 2 highlighted

5. arrow down to HEADING 3 in document text

result:
HEADING 1, HEADING 2, and HEADING 3 are highlighted in Navigator

expected result:
only HEADING 3 highlighted

6. mouse click on HEADING 4 in document text

result:
all headings are highlighted in Navigator

expected result:
only Heading 4 highlighted

I believe this behavior was introduced in the patch for bug 54834 to allow user to select multiple headings simultaneously.

I can provide a patch for this on confirmation.
Comment 1 Dieter Praas 2017-12-28 15:15:56 UTC
I confirm it with

Version: 6.0.0.1 (x64)
Build-ID: d2bec56d7865f05a1003dc88449f2b0fdd85309a
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL
Comment 2 Kevin Suo 2017-12-29 09:12:18 UTC
I see a patch pending review on gerrit.
Set as assigned.
Comment 3 Jim Raykowski 2017-12-30 08:32:32 UTC
Thanks Kevin :) I also forgot to add a link to the patch for this. 

Here it is ->  https://gerrit.libreoffice.org/#/c/47152/
Comment 4 Commit Notification 2018-01-05 16:56:28 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a9877b74e1730424a41319a03f5b56a6102a76b

tdf#114724 fix headings outline tracking highlight in Navigator

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-02-02 12:57:14 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=522c0bb54a94ff6e62e215b1c2b04f06dcd756d7

uitest for tdf#114724 headings outline tracking in Navigator

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.